Searched refs:die (Results 1 - 25 of 340) sorted by relevance

1234567891011>>

/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/arch/sparc/boot/
H A Dpiggyback_64.c35 static void die(char *str) function
50 if (stat (argv[3], &s) < 0) die (argv[3]);
52 if (!map) die(argv[2]);
60 if ((image = open(argv[1],O_RDWR)) < 0) die(argv[1]);
61 if (read(image,buffer,512) != 512) die(argv[1]);
66 if (lseek(image,i,0) < 0) die("lseek");
67 if (read(image,buffer,512) != 512) die(argv[1]);
80 if (lseek(image,i,0) < 0) die("lseek");
81 if (read(image,buffer,1024) != 1024) die(argv[1]);
92 if (lseek(image, offset, 0) < 0) die ("lsee
[all...]
H A Dpiggyback_32.c64 static void die(char *str) function
81 if (stat (argv[3], &s) < 0) die (argv[3]);
83 if (!map) die(argv[2]);
95 if ((image = open(argv[1],O_RDWR)) < 0) die(argv[1]);
96 if (read(image,buffer,512) != 512) die(argv[1]);
100 if (lseek(image,i,0) < 0) die("lseek");
101 if (read(image,buffer,512) != 512) die(argv[1]);
111 if (lseek(image,i,0) < 0) die("lseek");
112 if (read(image,buffer,1024) != 1024) die(argv[1]);
122 if (lseek(image, offset, 0) < 0) die ("lsee
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/arch/cris/boot/tools/
H A Dbuild.c95 void die(const char * str) function
103 die("Usage: build bootsect setup system [rootdev] [> image]");
124 die("Couldn't stat /");
131 die("Couldn't stat root device.");
146 die("Unable to open 'boot'");
148 die("Unable to read header of 'boot'");
150 die("Non-Minix header of 'boot'");
152 die("Non-Minix header of 'boot'");
154 die("Illegal data segment in 'boot'");
156 die("Illega
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/libunistring-0.9.3/tests/
H A Dtest-xalloc-die.sh21 test-xalloc-die${EXEEXT} 2> err > out
28 | sed 's,.*test-xalloc-die[.ex]*:,test-xalloc-die:,' > err2 || Exit 1
31 test-xalloc-die: memory exhausted
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/dbus-1.6.8/test/name-test/
H A Drun-test.sh3 die() function
34 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-ids || die "test-ids failed"
37 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-pending-call-dispatch failed"
40 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-timeout || die "test-pending-call-timeout failed"
43 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-threads-init failed"
46 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-privserver-client || die "test-privserver-client failed"
49 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-shutdown || die "test-shutdown failed"
60 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
H A Dtest-ids.c12 die (const char *message) function
39 die ("No bus server ID retrieved\n");
42 die ("Bus server id should have length 32\n");
47 die ("No bus ID retrieved\n");
50 die ("Bus ID should have length 32\n");
H A Dtest-shutdown.c8 die (const char *message) function
27 die ("Couldn't find GUID in session bus address");
33 die ("Failed to open connection to temp session bus\n");
37 die ("No memory\n");
40 die ("No memory\n");
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/ntpclient/
H A Denvelope3 # open(D, "./ntpclient -d -r < test2.dat|") || die;
4 open(D, "awk '{\$3=\$3-800;print \$0}' ~/scratch/xfer/time/log.ir30gw.h | ./ntpclient -d -r|") || die;
6 open(GC,"|gnuplot") || die;
28 print GC $cmd || die;
40 print MN "$slope $offset\n" || die;
43 print MN "$slope $offset\n" || die;
58 open(MN, ">min.dat") || die;
59 open(MX, ">max.dat") || die;
60 open(RN, ">rawmin.dat") || die;
61 open(RX, ">rawmax.dat") || die;
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/src/router/ntpclient/
H A Denvelope3 # open(D, "./ntpclient -d -r < test2.dat|") || die;
4 open(D, "awk '{\$3=\$3-800;print \$0}' ~/scratch/xfer/time/log.ir30gw.h | ./ntpclient -d -r|") || die;
6 open(GC,"|gnuplot") || die;
28 print GC $cmd || die;
40 print MN "$slope $offset\n" || die;
43 print MN "$slope $offset\n" || die;
58 open(MN, ">min.dat") || die;
59 open(MX, ">max.dat") || die;
60 open(RN, ">rawmin.dat") || die;
61 open(RX, ">rawmax.dat") || die;
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/arch/mn10300/boot/tools/
H A Dbuild.c47 void die(const char *str, ...) function
60 die("Unable to open `%s': %m", name);
66 die("Usage: build [-b] bootsect setup system [rootdev] [> image]");
86 die("Couldn't stat /");
93 die("Couldn't stat root device.");
111 die("Boot block must be exactly 512 bytes");
113 die("Boot block hasn't got boot flag (0xAA55)");
117 die("Write call failed");
124 die("Write call failed");
126 die("rea
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/dbus-1.6.8/test/
H A Dtest-service.c23 die (const char *message) function
48 die("no memory");
73 die ("No memory\n");
80 die ("No memory\n");
85 die ("No memory");
89 die ("No memory\n");
105 die ("No memory\n");
108 die ("No memory\n");
148 die ("No memory\n");
151 die ("N
[all...]
H A Dtest-shell-service.c26 die (const char *message) function
45 die ("No memory");
52 die ("No memory\n");
57 die ("No memory\n");
60 die ("No memory\n");
145 die ("No memory\n");
148 die ("No memory\n");
152 die ("No memory");
158 die ("No memory");
163 die ("N
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/dbus-1.6.8/bus/
H A Dtest-system.c34 die (const char *failure) function
50 die ("memleaks");
90 die ("initializing debug threads");
95 die ("parser");
H A Dtest-main.c36 die (const char *failure) function
52 die ("memleaks");
66 die ("could not init selinux support");
113 die ("initializing debug threads");
120 die ("expire list");
129 die ("parser");
138 die ("signals");
147 die ("sha1");
156 die ("dispatch");
165 die ("servic
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/arch/s390/include/asm/
H A Dkdebug.h25 extern void die(const char *, struct pt_regs *, long);
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/libkqueue-1.0.6/test/
H A Dproc.c47 die("kill");
72 die("kill");
88 die("%s", test_id);
95 die("sigprocmask");
97 die("kill");
114 die("%s", test_id);
121 die("sigprocmask");
123 die("kill");
136 die("%s", test_id);
152 die("
[all...]
H A Dmain.c40 die("socketpair");
47 die("unexpected data");
50 die("close");
54 die("failed to detect peer shutdown");
64 die("kqueue()");
67 die("close()");
79 die("invalid kq parameter");
90 die("kqueue()");
95 die("kevent");
161 die("kqueu
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/libgcrypt-1.5.0/tests/
H A Drandom.c36 die (const char *format, ...) function
126 die ("pipe failed: %s\n", strerror (errno));
130 die ("fork failed: %s\n", strerror (errno));
135 die ("write failed: %s\n", strerror (errno));
149 die ("read failed: %s\n", strerror (errno));
151 die ("read too short\n");
159 die ("child failed\n");
162 die ("parent and child got the same random number\n");
185 die ("pipe failed: %s\n", strerror (errno));
189 die ("for
[all...]
H A Dfipsdrv.c146 die (const char *format, ...) function
258 die ("error reading input line: %s\n", strerror (errno));
287 die ("error decoding hex string on input\n");
304 die ("error reading input line: %s\n", strerror (errno));
431 die ("invalid base64 character %02X at pos %d detected\n",
565 die ("can't open `%s': %s\n", fname, strerror (errno));
568 die ("error reading `%s'\n", fname);
601 die ("error scanning RSA parameter %d: %s\n", idx, gpg_strerror (err));
605 die ("not enough RSA key parameters\n");
624 die ("erro
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/timemachine/libgcrypt-1.5.0/tests/
H A Drandom.c36 die (const char *format, ...) function
126 die ("pipe failed: %s\n", strerror (errno));
130 die ("fork failed: %s\n", strerror (errno));
135 die ("write failed: %s\n", strerror (errno));
149 die ("read failed: %s\n", strerror (errno));
151 die ("read too short\n");
159 die ("child failed\n");
162 die ("parent and child got the same random number\n");
185 die ("pipe failed: %s\n", strerror (errno));
189 die ("for
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/minidlna/flac-1.2.1/test/
H A Dtest_grabbag.sh20 die () function
41 test_cuesheet -h 1>/dev/null 2>/dev/null || die "ERROR can't find test_cuesheet executable"
42 test_picture -h 1>/dev/null 2>/dev/null || die "ERROR can't find test_picture executable"
86 diff -w picture.ok $log > picture.diff || die "Error: .log file does not match .ok file, see picture.diff"
88 diff picture.ok $log > picture.diff || die "Error: .log file does not match .ok file, see picture.diff"
117 die "Error: test script is broken"
132 die "Error: test script is broken"
134 die "Error: good cuesheet is broken"
138 diff $cuesheet_pass1 $cuesheet_pass2 >> $log 2>&1 || die "Error: pass1 and pass2 output differ"
143 diff -w cuesheet.ok $log > cuesheet.diff || die "Erro
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/libkqueue-1.0.6/test/benchmark/
H A Dabtest21 or die $!;
25 GetOptions("baseline" => \$BASELINE, "idle=i" => \$NCLIENT) or die;
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/dbus-1.6.8/tools/
H A Drun-with-tmp-session-bus.sh7 die() function
18 die "Must set DBUS_TOP_BUILDDIR"
22 trap 'die "Received SIGINT"' INT
41 die "$DBUS_TOP_BUILDDIR/bus/dbus-daemon does not exist"
60 die "Failed to launch message bus for test script to run"
67 $WRAPPED_SCRIPT "$@" || die "script \"$WRAPPED_SCRIPT\" failed"
69 kill -TERM $DBUS_SESSION_BUS_PID || die "Message bus vanished! should not have happened" && echo "Killed daemon $DBUS_SESSION_BUS_PID" >&2
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/iserver/dbus-1.6.8/
H A Dcleanup-man-pages.sh12 die() { function
22 cd "$MANDIR" || die "Could not cd to $MANDIR"
24 test -d keep || mkdir keep || die "Could not create $MANDIR/keep directory"
25 test -d nuke || mkdir nuke || die "Could not create $MANDIR/nuke directory"
28 (find . -maxdepth 1 -name "_*" | xargs -I ITEMS /bin/mv ITEMS nuke) || die "could not move all underscore-prefixed items"
29 (find . -maxdepth 1 -name "DBus*Internal*" | xargs -I ITEMS /bin/mv ITEMS nuke) || die "could not move all internal-containing items"
30 (find . -maxdepth 1 -name "dbus_*_internal_*" | xargs -I ITEMS /bin/mv ITEMS nuke) || die "could not move all internal-containing items"
45 /bin/mv "$I" nuke || die "could not move $I to $MANDIR/nuke"
58 /bin/mv "$I" nuke || die "could not move $I to $MANDIR/nuke"
65 (find . -maxdepth 1 -name "dbus_*" | xargs -I ITEMS /bin/mv ITEMS keep) || die "coul
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/samba-3.0.25b/packaging/SGI/
H A Dsambalp67 open(LPSTAT,"/usr/bin/lpstat -t|") || die("Can't get printer list.\n");
81 die("Unknown printer: \"$printer\"\n");
88 $file = $file =~ /^(.*)/ ? $1 : die("Bad file: $file\n");
89 $system = $system =~ /^(.*)/ ? $1 : die("Bad system: $system\n");
115 $name = $user =~ /^(\w+)/ ? $1 : die("Bad user: $user\n");
127 open(FILE, $file) || die("Can't read $file: $!\n");
128 open(LP, "|$lpcommand -") || die("Can't open pipe to \"lp\": $!\n");

Completed in 221 milliseconds

1234567891011>>